/*
Theme Name: Inkwire 24
Template: inkwire
*/

/* Add custom styles for Inkwire 24 child theme here */

* {
  box-sizing: border-box;
}
html, body {
  --wp--style--root--padding-left: max(16px, 2.5%)!important;
  --wp--style--root--padding-right: max(16px, 2.5%)!important;
}
body,html {
  max-width: 100vw;
  width: 100vw;
  overflow-x: clip;
}

:root,
[data-theme="light"] {
  --color-primary: #1e88e5;
  --color-background: #ffffff;
  --color-contrast: #1a1a1a;
  --navigation-bg: #1e88e5;
  --gs-row-column-padding: min(3vw, 64px)
}

/* Dark mode color variables - for auto mode */
@media (prefers-color-scheme: dark) {
  :root:not([data-theme="light"]) {
    --color-background: #222222;
    --color-contrast: #f0f2f5;
  }
}

/* Force dark mode when explicitly set */
[data-theme="dark"] {
  --color-background: #25292d;
  --color-contrast: #C8CFD6;
}

@media screen and (max-width: 1512px) {
  .topicos-nav .wp-block-repeater-template {
    padding-left: var(--wp--style--root--padding-left)!important;
    padding-right: var(--wp--style--root--padding-right)!important;
  }
}
.topicos-nav .wp-block-repeater-template a {white-space: nowrap;}

.lista-local {
  list-style: none;
  padding-left: 0;
  width: 160px;
}

.lista-local li {
  list-style: none;
  margin-bottom: 8px;
}
.lista-local li a {
  text-decoration: none;
}
.lista-local li a:hover {
  text-decoration: underline;
}

.inkwire-singular-block.is-card .inkwr-categories {color:white}
